org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ReadTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ReadTest

- Direct Known Subclasses:
    ReadTest.Traversals

      public abstract class ReadTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReadTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_io_read_withXreader_graphmlX()`
    `void` | `g_io_read_withXreader_graphsonX()`
    `void` | `g_io_read_withXreader_gryoX()`
    `void` | `g_io_readXjsonX()`
    `void` | `g_io_readXkryoX()`
    `void` | `g_io_readXxmlX()`
    `abstract Traversal<Object,Object>` | `get_g_io_read_withXreader_graphmlX(String fileToRead)`
    `abstract Traversal<Object,Object>` | `get_g_io_read_withXreader_graphsonX(String fileToRead)`
    `abstract Traversal<Object,Object>` | `get_g_io_read_withXreader_gryoX(String fileToRead)`
    `abstract Traversal<Object,Object>` | `get_g_io_readXjsonX(String fileToRead)`
    `abstract Traversal<Object,Object>` | `get_g_io_readXkryoX(String fileToRead)`
    `abstract Traversal<Object,Object>` | `get_g_io_readXxmlX(String fileToRead)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadTest

          public ReadTest()

  - ### Method Detail

    - #### get_g_io_readXkryoX

          public abstract Traversal<Object,Object> get_g_io_readXkryoX(String fileToRead)
                                                                throws IOException

      Throws:
        `IOException`

    - #### get_g_io_read_withXreader_gryoX

          public abstract Traversal<Object,Object> get_g_io_read_withXreader_gryoX(String fileToRead)
                                                                            throws IOException

      Throws:
        `IOException`

    - #### get_g_io_readXjsonX

          public abstract Traversal<Object,Object> get_g_io_readXjsonX(String fileToRead)
                                                                throws IOException

      Throws:
        `IOException`

    - #### get_g_io_read_withXreader_graphsonX

          public abstract Traversal<Object,Object> get_g_io_read_withXreader_graphsonX(String fileToRead)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### get_g_io_readXxmlX

          public abstract Traversal<Object,Object> get_g_io_readXxmlX(String fileToRead)
                                                               throws IOException

      Throws:
        `IOException`

    - #### get_g_io_read_withXreader_graphmlX

          public abstract Traversal<Object,Object> get_g_io_read_withXreader_graphmlX(String fileToRead)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### g_io_readXkryoX

          public void g_io_readXkryoX()
                               throws IOException

      Throws:
        `IOException`

    - #### g_io_read_withXreader_gryoX

          public void g_io_read_withXreader_gryoX()
                                           throws IOException

      Throws:
        `IOException`

    - #### g_io_readXjsonX

          public void g_io_readXjsonX()
                               throws IOException

      Throws:
        `IOException`

    - #### g_io_read_withXreader_graphsonX

          public void g_io_read_withXreader_graphsonX()
                                               throws IOException

      Throws:
        `IOException`

    - #### g_io_readXxmlX

          public void g_io_readXxmlX()
                              throws IOException

      Throws:
        `IOException`

    - #### g_io_read_withXreader_graphmlX

          public void g_io_read_withXreader_graphmlX()
                                              throws IOException

      Throws:
        `IOException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.